> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampartcorporation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Spend Analysis Consent (SAC)

> Authorize Rampart to access account spend data and perform a savings analysis for this account.



## OpenAPI

````yaml POST /v2/sac
openapi: 3.0.0
info:
  title: Rampart API
  description: Rampart API Documentation
  version: v2
  contact: {}
servers:
  - url: https://api.rampartcorporation.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/sac:
    post:
      tags:
        - SAC
      summary: Savings Analysis Consent
      description: >-
        Authorize Rampart to access account spend data and perform a savings
        analysis for this account.
      operationId: SacController_triggerSAC
      parameters:
        - name: x-client-id
          in: header
          description: Client ID for authentication
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                first_name:
                  type: string
                  description: The first name of the person providing consent.
                  example: John
                last_name:
                  type: string
                  description: The last name of the person providing consent.
                  example: Doe
                client_name:
                  type: string
                  description: The name of the client organization.
                  example: Acme Corporation
                email:
                  type: string
                  description: The email of the person providing consent.
                  example: john.doe@example.com
                timestamp:
                  type: string
                  description: The timestamp of the consent.
                  example: '2021-01-01T00:00:00Z'
                ip_address:
                  type: string
                  description: The IP address of the person providing consent.
                  example: 127.0.0.1
                autoOptIn:
                  type: boolean
                  description: >-
                    Indicates whether Rampart is authorized to automatically opt
                    the account into a contract if potential savings are
                    identified.
                  default: false
              required:
                - client_name
                - timestamp
                - ip_address
      responses:
        '200':
          description: Successfully updated SAC settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Indicates whether the SAC settings were updated
                      successfully.
                    example: true
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Bearer authentication header of the form `Bearer <API_KEY>`.

````